Billing
Put apiv1budgetingbillingorgenabled
Ativar ou desativar a cobrança da organização. Requer um administrador de cluster humano. As chaves de API exigem tanto o escopo write:billing quanto o escopo write:cluster, que é usado apenas na inicialização. Chaves de conta de serviço não podem ativar ou desativar a cobrança.
PUT
/
api
/
v1
/
budgeting
/
billing
/
org
/
enabled
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.billing.set_organization_billing_enabled(org_id="<id>", enabled=False)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.billing.setOrganizationBillingEnabled({
orgId: "<id>",
requestBody: {
enabled: false,
},
});
console.log(result);
}
run();package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"github.com/MeetKai/mka1-sdks/go/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Billing.SetOrganizationBillingEnabled(ctx, "<id>", operations.SetOrganizationBillingEnabledRequestBody{
Enabled: false,
})
if err != nil {
log.Fatal(err)
}
if res.Object != nil {
// handle response
}
}using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Billing.SetOrganizationBillingEnabledAsync(
orgId: "<id>",
body: new SetOrganizationBillingEnabledRequestBody() {
Enabled = false,
}
);
// handle responsecurl --request PUT \
--url https://apigw.mka1.com/api/v1/budgeting/billing/org/enabled \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"currency": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, currency: '<string>'})
};
fetch('https://apigw.mka1.com/api/v1/budgeting/billing/org/enabled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/budgeting/billing/org/enabled",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'currency' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://apigw.mka1.com/api/v1/budgeting/billing/org/enabled")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"currency\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/budgeting/billing/org/enabled")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"currency\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"org_id": "<string>",
"configured": true,
"enabled": true,
"status": "disabled",
"currency": "<string>",
"legal_name": "<string>",
"billing_email": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"state": "<string>"
},
"activated_at": "<string>",
"current_period": {
"start": "<string>",
"end": "<string>"
},
"current_unbilled_minor": 0,
"outstanding_minor": 0,
"invoices": [
{
"id": "<string>",
"period_start": "<string>",
"period_end": "<string>",
"currency": "<string>",
"amount_due_minor": 0,
"amount_paid_minor": 0,
"status": "<string>",
"hosted_invoice_url": "<string>",
"pdf_url": "<string>"
}
],
"invoices_has_more": true
}Authorizations
Response
200 - application/json
OK
Was this page helpful?
⌘I
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.billing.set_organization_billing_enabled(org_id="<id>", enabled=False)
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.billing.setOrganizationBillingEnabled({
orgId: "<id>",
requestBody: {
enabled: false,
},
});
console.log(result);
}
run();package main
import(
"context"
mka1 "github.com/MeetKai/mka1-sdks/go"
"github.com/MeetKai/mka1-sdks/go/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := mka1.New(
mka1.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
res, err := s.Billing.SetOrganizationBillingEnabled(ctx, "<id>", operations.SetOrganizationBillingEnabledRequestBody{
Enabled: false,
})
if err != nil {
log.Fatal(err)
}
if res.Object != nil {
// handle response
}
}using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Billing.SetOrganizationBillingEnabledAsync(
orgId: "<id>",
body: new SetOrganizationBillingEnabledRequestBody() {
Enabled = false,
}
);
// handle responsecurl --request PUT \
--url https://apigw.mka1.com/api/v1/budgeting/billing/org/enabled \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"currency": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, currency: '<string>'})
};
fetch('https://apigw.mka1.com/api/v1/budgeting/billing/org/enabled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apigw.mka1.com/api/v1/budgeting/billing/org/enabled",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'enabled' => true,
'currency' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://apigw.mka1.com/api/v1/budgeting/billing/org/enabled")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"enabled\": true,\n \"currency\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://apigw.mka1.com/api/v1/budgeting/billing/org/enabled")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"enabled\": true,\n \"currency\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"org_id": "<string>",
"configured": true,
"enabled": true,
"status": "disabled",
"currency": "<string>",
"legal_name": "<string>",
"billing_email": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>",
"state": "<string>"
},
"activated_at": "<string>",
"current_period": {
"start": "<string>",
"end": "<string>"
},
"current_unbilled_minor": 0,
"outstanding_minor": 0,
"invoices": [
{
"id": "<string>",
"period_start": "<string>",
"period_end": "<string>",
"currency": "<string>",
"amount_due_minor": 0,
"amount_paid_minor": 0,
"status": "<string>",
"hosted_invoice_url": "<string>",
"pdf_url": "<string>"
}
],
"invoices_has_more": true
}